<?php
require 'secure.php';
$is_admin = $_SESSION['is_admin'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Update Standings</title>
<style type="text/css">
.wrap {
	background: #fff;
	border: 1px solid #ccc;
	clear: both;
	margin: 15px 5%;
	padding: .5em 1em;
}
textarea, input, select {
	background: #f4f4f4;
	border: 1px solid #b2b2b2;
	color: #000;
	font:  13px Verdana, Arial, Helvetica, sans-serif;
	margin: 1px;
	padding: 3px;
}
body, td {
	font: 13px "Lucida Grande", "Lucida Sans Unicode", Tahoma, Verdana;
}
.instructions {
	background-color: #e8e8e8;
	font-style: italic;
	padding: 10px;
	width: 400px;
}
a, a:visited {
	border-bottom: 1px solid #69c;
	color: #00019b;
	text-decoration: none;
}
th {
	text-align: left;
}
.alltables {
border-collapse: collapse;
}

.userstable {
width: 700px;
margin-top: 10px;
margin-bottom: 10px;
}

.permtable {
width: 400px;
}

.alltables td, .alltables th {
padding: 5px;
border: 1px solid black;
}

.alltables tr {
vertical-align: middle;
}

.lim_action, .user_action {
width: 350px;
background-color: #eeeeee;
border: 1px dotted black;
padding: 10px;
}

#logout {
font-weight: normal;
font-size: 12px;
}

.gray {
color: #888888;
}

.red {
color: #FF0000;
}
</style>
</head>
<body>
<div class="wrap">
<h1>Update Standings <span id="logout"><a href="<?php print $_SERVER['PHP_SELF']; ?>?action=logout">LOG OUT</a></span></h1>
<?php

// Get the current year
$year_two = date('Y');

// Allow dates to be set for the past year and the next year
$year_one = $year_two - 1;
$year_three = $year_two + 1;

mysql_connect($sportsdb_host,$sportsdb_user,$sportsdb_pass);
mysql_select_db($sportsdb_db) or die("Unable to select database");

function getdiv($divisionid) {

$query="SELECT divname FROM sportsdb_divs WHERE divid = $divisionid LIMIT 1";
$result = mysql_query($query) or die("Error in query: $query");
$num = mysql_num_rows($result);

// Does this division exist?
if($num == 0) die("There is no such division");

// Otherwise, give its name
$divname = mysql_result($result,0,"divname");
return $divname;
}

function getconf($conferenceid) {

$query="SELECT confname FROM sportsdb_conferences WHERE confid = $conferenceid LIMIT 1";
$result = mysql_query($query) or die("Error in query: $query");
$num = mysql_num_rows($result);

// Does this conference exist?
if($num == 0) die("There is no such conference");

// Otherwise, give its name
$confname = mysql_result($result,0,"confname");
return $confname;
}


$action = $_GET['action'];
switch($action) {

case 'edit':
    $teamid = intval($_GET['teamid']);
    $confid = intval($_GET['conf']);
    $divid = intval($_GET['div']);
    
    if (!$is_admin) {
        $is_manage_team = full_check('manage_team');
        $is_manage_team_conf = permissions_check('manage_team',$confid);
    }
    
    if ($is_admin || $is_manage_team || $is_manage_team_conf || permissions_check('manage_team',NULL, $divid, $teamid) ) {
    	
    	$query="SELECT sportsdb_teams.teamid, sportsdb_teams.teamname, sportsdb_teams.teamdiv, sportsdb_teams.teamorder, sportsdb_teams.active, sportsdb_divs.divname, sportsdb_divs.conference FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.teamid = $teamid AND sportsdb_teams.teamdiv = sportsdb_divs.divid LIMIT 1";
    	$result = mysql_query($query);
    	if (mysql_num_rows($result) == 0) die('<p>There is no such team.</p>');
    	$team = mysql_fetch_array($result);
    	
    	print "<h2>Edit a team in {$team['divname']}</h2>";
    	
    	print '<form action="' . $_SERVER["PHP_SELF"] . '?action=update" method="post">' . "\n";
    	print "<input type=\"hidden\" name=\"teamid\" value=\"{$team['teamid']}\" />\n";
    	print "<input type=\"hidden\" name=\"confid\" value=\"{$team['conference']}\" />\n";
    	print "Team Name: <input name=\"teamname\" type=\"text\" value=\"{$team['teamname']}\" /><br />\n";
        
        // User can only update the team's division if they have admin permissions, full team permissions, or team management permissions in a conference
        if ($is_admin || $is_manage_team || $is_manage_team_conf) {
            print "Division: <select name=\"teamdiv\">\n";
        	$querydivs = "SELECT divid, divname FROM sportsdb_divs WHERE conference = {$team['conference']} ORDER BY divorder";
        	$resultdivs = mysql_query($querydivs);
        	while ($divs = mysql_fetch_array($resultdivs, MYSQL_ASSOC)) {
        		print "<option value=\"{$divs['divid']}\"";
        		if ($divs['divid'] == $team['teamdiv']) print " selected=\"selected\"";
        		print ">{$divs['divname']}</option>\n";
        	}
        	print "</select><br />\n";
            
        // User can also only update a team's tie-breaker field if they have the same permissions as above
            print 'Custom tie-breaker (the higher the number, the higher the position): ';
            print '<input type="text" name="teamorder" size="2" maxlength="3" value="' . $team['teamorder'] . '" /><br />' . "\n";
        }
        
?>
Active (<span class="red">recommended to inactivate a team instead of deleting a team</span>): <select name="active">
      <option value="1" <?php
if ($team['active'] == 1)
echo 'selected="selected"';
?>>Yes</option>
      <option value="0" <?php
if ($team['active'] == 0)
echo 'selected="selected"';
?>>No</option>
    </select><br />
<input type="Submit" value="Update" />
</form>
<form action="<?php print $_SERVER['PHP_SELF']; ?>">
<input type="hidden" name="action" value="mainview" />
<input type="hidden" name="conf" value="<?php print $team['conference']; ?>" />
<input type="Submit" value="Cancel" />
</form>
<p><a href="<?php print $_SERVER['PHP_SELF'] . '?action=deleteteam&teamid=' . $team['teamid']; ?>">Delete this team</a> (only possible if it is not part of any scores or schedules)</p>
<?php
    }
    else {
        die($text_no_perm);
    }
	break;

case 'update':

	$teamid = intval($_POST['teamid']);
    if (isset($_POST['teamdiv'])) {
        $teamdiv = intval($_POST['teamdiv']);
    }
	$teamname = htmlspecialchars($_POST['teamname'], ENT_QUOTES);
	$active = intval($_POST['active']);
    $teamorder = intval($_POST['teamorder']);
	if ($teamid <= 0) die('<p>There is no such team.</p>');
    
    // First, get the proper credentials about the team
    
    $query = "SELECT sportsdb_teams.teamdiv, sportsdb_divs.conference FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_teams.teamid = $teamid";
    $result = mysql_query($query);
    $divid = mysql_result($result,0,'teamdiv');
    $confid = mysql_result($result,0,'conference');
    
    if (!$is_admin) {
        $is_manage_team = full_check('manage_team');
        $is_manage_team_conf = permissions_check('manage_team',$confid);
    }
    
    if ($is_admin || $is_manage_team || $is_manage_team_conf || permissions_check('manage_team',NULL,$divid,$teamid) ){
        // User can only update the team's division and custom order if they have admin permissions, full team permissions, or team management permissions in a conference
        if ( ($is_admin || $is_manage_team || $is_manage_team_conf) && isset($teamdiv) ) {
            $update_team_div = ', teamdiv = ' . $teamdiv . ', teamorder = ' . $teamorder;
        }
    	$query="UPDATE sportsdb_teams SET teamname = '$teamname', active = $active" . $update_team_div . " WHERE teamid = $teamid LIMIT 1";
    	$result = mysql_query($query);
    	echo "Successfully updated the team: $teamname<br /><br /><a href=\"" . $_SERVER['PHP_SELF'] . "?action=mainview&conf=$confid\">Back</a>";
    }
    else {
        die($text_no_perm);
    }

	break;

case 'deleteteam':
    $teamid = intval($_GET['teamid']);

    // First, get the proper credentials about the team
    $query = "SELECT sportsdb_teams.teamdiv, sportsdb_divs.conference FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_teams.teamid = $teamid";
    $result = mysql_query($query);
    $divid = mysql_result($result,0,'teamdiv');
    $confid = mysql_result($result,0,'conference');
        
    if ($is_admin || full_check('manage_team') || permissions_check('manage_team',$confid,$divid,$teamid) ) {
        
        $query = "SELECT COUNT(*) FROM sportsdb_wins WHERE winner = $teamid OR loser = $teamid";
        $result = mysql_query($query);
        $cannot_delete = mysql_result($result,0);
        
        if (!$cannot_delete) {
            $query = "SELECT teamname FROM sportsdb_teams WHERE teamid = $teamid";
            $result = mysql_query($query);
            $teamname = @mysql_result($result,0);
            
            if (!$teamname) {
                print '<p>This team does not exist</p>';
            }
            else {
                // Also delete all limitations that have this division
                delete_associated_limitations('team', $teamid);
            
                $query = "DELETE FROM sportsdb_teams WHERE teamid = $teamid LIMIT 1";
                mysql_query($query) or die ('Error in query: ' . $query);
                print '<p><strong>' . $teamname . '</strong> successfully deleted.</p>';
            }
            
            
        }
        else {
            print '<p>This team cannot be deleted because it has at least one game associated with it.' . "\n";
            print '<p>Delete all games associated with this team before deleting the team itself.</p>';
        }
        print '<p><a href="?action=mainview&conf=' . $confid . '">Back</a></p>';
    }
    
    else {
        die ($text_no_perm);
    }
    
    break;

case 'add':
	$confid = intval($_GET['conf']);

    if ($is_admin || full_check('manage_team') || permissions_check('manage_team',$confid) ) {

        $confname = getconf($confid);

    	print "<h2>Add a team in the $confname conference</h2>\n";
    	print "<form method=\"post\" action=\"" . $_SERVER['PHP_SELF'] . "?action=addyes\">\n";
    	print "Team Name: <input type=\"text\" name=\"teamname\" />\n";
    	print "<br />\n";
    	print "Division: <select name=\"teamdiv\">\n";
    	$querydivs = "SELECT divid, divname FROM sportsdb_divs WHERE conference = $confid ORDER BY divorder";
    	$resultdivs = mysql_query($querydivs);
    	while ($divs = mysql_fetch_array($resultdivs, MYSQL_ASSOC)) {
    		print "<option value=\"{$divs['divid']}\">{$divs['divname']}</option>\n";
    	}
    	print "</select><br />\n";
    	print "<input type=\"hidden\" name=\"confid\" value=\"$confid\" />\n";
    	print "<input type=\"submit\" value=\"Add\" />\n";
    	print "</form>\n";
    	print '<form method="get" action="' . $_SERVER['PHP_SELF'] . "\">\n";
    	print "<input type=\"hidden\" name=\"action\" value=\"mainview\" />\n";
    	print "<input type=\"hidden\" name=\"conf\" value=\"$confid\" />\n";
    	print "<input type=\"submit\" value=\"Cancel\" />\n";
    	print "</form>\n";
    }
    else {
        die($text_no_perm);
    }

	break;

case 'addyes':

	$confid=intval($_POST['confid']);
    
    if ($is_admin || full_check('manage_team') || permissions_check('manage_team',$confid) ) {
        $teamname=htmlspecialchars($_POST['teamname'], ENT_QUOTES);
        if ($teamname == '') die('No team name specified');
    	$teamdiv=intval($_POST['teamdiv']);
    	$query="INSERT INTO sportsdb_teams (teamname,teamdiv) VALUES ('$teamname','$teamdiv')";
    	$result=mysql_query($query);
    	print "Successfully added the team: $teamname<br /><br /><a href=\"" . $_SERVER['PHP_SELF'] . "?action=mainview&conf=$confid\">Back</a>\n";
    }
    
    else {
        die($text_no_perm);
    }
	break;

case 'addscore':

    $confid = intval($_GET['conf']);
    if ($is_admin || full_check('manage_score') || permissions_check('manage_score', $confid)) {
    	$confname = getconf($confid);

    	print "<h2>Add a game or score in the $confname conference</h2>\n";
    ?>
<p>
Add 
 <select id="how_many" onchange="addScores();">
   <option value="1" selected>1</option>
   <option value="2">2</option>
   <option value="3">3</option>
   <option value="4">4</option>
   <option value="5">5</option>
   <option value="6">6</option>
   <option value="7">7</option>
   <option value="8">8</option>
   <option value="9">9</option>
   <option value="10">10</option>

 </select> scores at once</p>
    <?php
    	print "<form method=\"post\" action=\"" . $_SERVER['PHP_SELF'] . "?action=addscoreyes&conf=$confid\">\n";
	?>
<div id="add_score_form">
Date: <select name="month[]">
      <option value="1">January</option>
	  <option value="2">February</option>
	  <option value="3">March</option>
	  <option value="4">April</option>
	  <option value="5">May</option>
	  <option value="6">June</option>
	  <option value="7">July</option>
	  <option value="8">August</option>
	  <option value="9">September</option>
	  <option value="10">October</option>
	  <option value="11">November</option>
	  <option value="12">December</option>
    </select>
      <input name="day[]" type="text" size="2" />
      <select name="year[]">
        <option value="<?php print $year_one; ?>"><?php print $year_one; ?></option>
        <option value="<?php print $year_two; ?>" selected><?php print $year_two; ?></option>
        <option value="<?php print $year_three; ?>"><?php print $year_three; ?></option>
      </select><br />
Time: <select name="hour[]">
      <option value="12">12</option>
	  <option value="1">1</option>
	  <option value="2">2</option>
	  <option value="3">3</option>
	  <option value="4">4</option>
	  <option value="5">5</option>
	  <option value="6">6</option>
	  <option value="7">7</option>
	  <option value="8">8</option>
	  <option value="9">9</option>
	  <option value="10">10</option>
	  <option value="11">11</option>
    </select>:
      <select name="minute[]">
	  <option value="00">00</option>
	  <option value="15">15</option>
	  <option value="30">30</option>
	  <option value="45">45</option>
      </select>
      <select name="ampm[]">
	  <option value="pm">pm</option>
	  <option value="am">am</option>
      </select>
<div<?php if (!$show_fields) print " style=\"display:none;\""; ?>><br />Field: <input name="field[]" type="text" size="50" maxlength="50" /></div>
<br /><br />Home: <select name="winner[]">
<?php
$query="SELECT sportsdb_teams.teamname, sportsdb_teams.teamid, sportsdb_divs.divname FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.active=1 AND sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid ORDER BY divorder ASC, teamname ASC";
$result=mysql_query($query);
while ($teams = mysql_fetch_array($result, MYSQL_ASSOC)) {
	print "<option value=\"{$teams['teamid']}\">{$teams['teamname']} ({$teams['divname']})</option>\n";
}
?>
</select>
<select name="winortie[]">
<option value="3">Play</option>
<option value="1">Beat</option>
<?php if ($forfeit)
print "<option value=\"2\">Beat (by forfeit)</option>\n";
?>
<?php if ($show_ties)
print "<option value=\"0\">Tied</option>\n";
?>
<option value="4">Lost to</option>
<?php if ($forfeit)
print "<option value=\"5\">Lost to (by forfeit)</option>\n";
?>
</select> 
Away: <select name="loser[]">
<?php
$query="SELECT sportsdb_teams.teamname, sportsdb_teams.teamid, sportsdb_divs.divname FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.active=1 AND sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid ORDER BY divorder ASC, teamname ASC";
$result=mysql_query($query);
while ($teams = mysql_fetch_array($result, MYSQL_ASSOC)) {
	print "<option value=\"{$teams['teamid']}\">{$teams['teamname']} ({$teams['divname']})</option>\n";
}
?>
</select><br />
Score: <input type="text" name="rf[]" size="2" maxlength="2" /> -
<input type="text" name="ra[]" size="2" maxlength="2" /><br />
Comment: <input name="wincomments[]" type="text" size="50" maxlength="50" />
<br /><br />
</div>
<script type="text/javascript">
// JavaScript to handle showing multiple "forms" on the same page
var add_score_form = document.getElementById('add_score_form');
var add_score_form_contents = add_score_form.innerHTML;
function addScores() {
    var how_many = parseInt(document.getElementById('how_many').value);
    var add_score_form_repeat = '';
    for (var i = 1; i <= how_many; i++) {
        add_score_form_repeat += '<h2>' + i + '</h2>' + add_score_form_contents + '<hr style="margin-top: 20px; margin-bottom: 20px;"/>';
    }
    add_score_form.innerHTML = add_score_form_repeat;
}
</script>
<input type="submit" value="Add" />
</form>
<form method="get" action="<?php print $_SERVER['PHP_SELF']; ?>">
<input type="hidden" name="action" value="mainview" />
<input type="hidden" name="conf" value="<?php print $confid; ?>" />
<input type="submit" value="Cancel" />
</form>
<?php
    }

    else {
        die($text_no_perm);
    }
    break;

case 'addscoreyes':
    $confid = intval($_GET['conf']);
    
    if ($is_admin || full_check('manage_score') || permissions_check('manage_score', $confid) ) {
        $num_scores = count($_POST['day']);
        for ($i = 0; $i < $num_scores; ++$i) {
            $month = intval($_POST['month'][$i]);
            $day = intval($_POST['day'][$i]);
            $hour = intval($_POST['hour'][$i]);
            $minute = intval($_POST['minute'][$i]);
            $year = intval($_POST['year'][$i]);
            $ampm = $_POST['ampm'][$i];
            $windate = mktime(0, 0, 0, $month, $day, $year);
            if ($ampm == 'pm' && $hour != 12) {
                $hour = $hour + 12;
            }
            if ($ampm == 'am' && $hour == 12) {
                $hour = 0;
            }
        	$wintime = mktime($hour, $minute, 0, $month, $day, $year);
        	$wincomments = strip_tags($_POST['wincomments'][$i], '<font>');
            $wincomments = mysql_real_escape_string($wincomments);
        	$field = strip_tags($_POST['field'][$i], '<font>');
            $field = mysql_real_escape_string($field);
            $winner=intval($_POST['winner'][$i]);
            $loser=intval($_POST['loser'][$i]);
            $rf=abs(intval($_POST['rf'][$i]));
            $ra=abs(intval($_POST['ra'][$i]));
            if ($winner == $loser) {
                die ("You cannot have a team playing itself. <a href=\"" . $_SERVER['PHP_SELF'] . "?action=addscore&conf=$confid\">Please go back</a>.");
            }
            $winortie=intval($_POST['winortie'][$i]);

            // Insert the score

            $query="INSERT INTO sportsdb_wins (wincomments, field, windate, wintime, winner, loser, winortie, rf, ra) VALUES ('$wincomments', '$field', $windate, $wintime, $winner, $loser, $winortie, $rf, $ra)";
            $result=mysql_query($query) or die ("Error in query $query");

            // Update the number of ties, add runs scored and runs against

            if ($winortie == 0) {
                $query="UPDATE sportsdb_teams SET teamties = teamties +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner OR teamid = $loser";
                $result=mysql_query($query) or die ("Error in query $query");
            }

            // Update the number of wins and losses, add runs scored and runs against
            elseif ($winortie == 1) {
                $query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner";
                $result=mysql_query($query) or die ("Error in query $query");
                $query="UPDATE sportsdb_teams SET teamlosses = teamlosses +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $loser";
                $result=mysql_query($query) or die ("Error in query $query");
            }
            // Update the number of wins and losses, add runs scored and runs against when the away team won
            elseif ($winortie == 4) {
                $query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $loser";
                $result=mysql_query($query) or die ("Error in query $query");
                $query="UPDATE sportsdb_teams SET teamlosses = teamlosses +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner";
                $result=mysql_query($query) or die ("Error in query $query");
            }

            // Update the number of wins and forfeit losses, add runs scored and runs against when the home team wins
            elseif ($winortie == 2) {
                $query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner";
                $result=mysql_query($query) or die ("Error in query $query");
                $query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $loser";
                $result=mysql_query($query) or die ("Error in query $query");
            } 

            // Update the number of wins and forfeit losses, add runs scored and runs against when the away team wins
            elseif ($winortie == 5) {
                $query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $loser";
                $result=mysql_query($query) or die ("Error in query $query");
                $query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $winner";
                $result=mysql_query($query) or die ("Error in query $query");
            } 
            $scoretype = "game for";
            if ($winortie != 3) $scoretype = "score from";
            $stringtime = date('M j Y, g:ia', $wintime);
            print "Succesfully added the $scoretype $stringtime<br /><br />\n";
        }
        print "<a href=\"" . $_SERVER['PHP_SELF'] . "?action=mainview&conf=$confid\">Back</a><br />\n";
        print '<a href="' . $_SERVER['PHP_SELF'] . "?action=addscore&conf=$confid\">Add more</a>\n";
    }
    
    else {
        die($text_no_perm);
    }
    break;

case 'editscore':

    // Make sure that both the score ID has been posted
    if (!isset($_POST['winid']) ) {
        die ('Bad data, man.');
    }
    $winid=intval($_POST['winid']);
    
    $query="SELECT sportsdb_wins.winner, sportsdb_wins.loser, sportsdb_divs.conference 
    FROM sportsdb_wins, sportsdb_teams, sportsdb_divs 
    WHERE sportsdb_wins.winid = $winid 
    AND sportsdb_wins.winner = sportsdb_teams.teamid 
    AND sportsdb_teams.teamdiv = sportsdb_divs.divid 
    LIMIT 1";
    $result = mysql_query($query);
    $confid = mysql_result($result,0,'conference');
    $winner_check = mysql_result($result,0,'winner');
    $loser_check = mysql_result($result,0,'loser');
    
    if (!$is_admin) {
        $is_manage_score = full_check('manage_score');
        $is_manage_score_conf = permissions_check('manage_score',$confid);
    }
    
    if ($is_admin || $is_manage_score || $is_manage_score_conf || permissions_check('manage_score', NULL, NULL, $winner_check) || permissions_check('manage_score', NULL, NULL, $loser_check) ) {
        print '<h2>Edit score</h2>' . "\n";
        
        $query="SELECT sportsdb_wins.windate, sportsdb_wins.wintime, sportsdb_wins.wincomments, sportsdb_wins.field, 
        sportsdb_wins.winner, sportsdb_wins.loser, sportsdb_wins.winortie, 
        sportsdb_wins.rf, sportsdb_wins.ra, sportsdb_teams.teamname AS winningteam, sportsdb_teams2.teamname AS losingteam 
        FROM sportsdb_wins, sportsdb_teams, sportsdb_teams AS sportsdb_teams2 
        WHERE sportsdb_wins.winid=$winid AND sportsdb_teams.teamid = sportsdb_wins.winner AND sportsdb_teams2.teamid = sportsdb_wins.loser";
        $result=mysql_query($query);
        $score = mysql_fetch_array($result, MYSQL_ASSOC);  	
        $wincomments = str_replace('"','&quot;',$score['wincomments']);
    	$wincomments = str_replace("'",'&#039;',$wincomments);
    	$field = str_replace('"','&quot;',$score['field']);
    	$field = str_replace("'",'&#039;',$field);
    	$month=date('m',$score['windate']);
    	$day=date('d',$score['windate']);
    	$year=date('Y',$score['windate']);
    	$hour=date('g',$score['wintime']);
    	$minute=date('i',$score['wintime']);
    	$ampm=date('a',$score['wintime']);
    	print '<form action="' . $_SERVER['PHP_SELF'] . "?action=updatescore\" method=\"post\">\n";
	?>
Date: <select name="month">
      <option value="1" <?php
if ($month == 1)
echo 'selected="selected"';
?>>January</option>
      <option value="2" <?php
if ($month == 2)
echo 'selected="selected"';
?>>February</option>
      <option value="3" <?php
if ($month == 3)
echo 'selected="selected"';
?> >March</option>
      <option value="4" <?php
if ($month == 4)
echo 'selected="selected"';
?>>April</option>
      <option value="5" <?php
if ($month == 5)
echo 'selected="selected"';
?>>May</option>
      <option value="6" <?php
if ($month == 6)
echo 'selected="selected"';
?>>June</option>
      <option value="7" <?php
if ($month == 7)
echo 'selected="selected"';
?>>July</option>
      <option value="8" <?php
if ($month == 8)
echo 'selected="selected"';
?>>August</option>
      <option value="9" <?php
if ($month == 9)
echo 'selected="selected"';
?>>September</option>
      <option value="10" <?php
if ($month == 10)
echo 'selected="selected"';
?>>October</option>
      <option value="11" <?php
if ($month == 11)
echo 'selected="selected"';
?>>November</option>
      <option value="12" <?php
if ($month == 12)
echo 'selected="selected"';
?>>December</option>
    </select>
      <input name="day" type="text" size="2" value="<?php echo "$day"; ?>" />
      <select name="year">
<?php
// Allow the option for a score waaaaay in the past
if ($year != $year_one && $year != $year_two && $year != year_three) {
print "<option value=\"$year\">$year</option>\n";
}
?>

        <option value="<?php print $year_one; ?>" <?php
if ($year == $year_one)
echo 'selected="selected"';
?>><?php print $year_one; ?></option>
        <option value="<?php print $year_two; ?>" <?php
if ($year == $year_two)
echo 'selected="selected"';
?>><?php print $year_two; ?></option>
        <option value="<?php print $year_three; ?>" <?php
if ($year == $year_three)
echo 'selected="selected"';
?> ><?php print $year_three; ?></option>
      </select><br />
Time: <select name="hour">
      <option value="12" <?php
if ($hour == 12)
echo 'selected="selected"';
?>>12</option>
      <option value="1" <?php
if ($hour == 1)
echo 'selected="selected"';
?>>1</option>
      <option value="2" <?php
if ($hour == 2)
echo 'selected="selected"';
?>>2</option>
      <option value="3" <?php
if ($hour == 3)
echo 'selected="selected"';
?> >3</option>
      <option value="4" <?php
if ($hour == 4)
echo 'selected="selected"';
?>>4</option>
      <option value="5" <?php
if ($hour == 5)
echo 'selected="selected"';
?>>5</option>
      <option value="6" <?php
if ($hour == 6)
echo 'selected="selected"';
?>>6</option>
      <option value="7" <?php
if ($hour == 7)
echo 'selected="selected"';
?>>7</option>
      <option value="8" <?php
if ($hour == 8)
echo 'selected="selected"';
?>>8</option>
      <option value="9" <?php
if ($hour == 9)
echo 'selected="selected"';
?>>9</option>
      <option value="10" <?php
if ($hour == 10)
echo 'selected="selected"';
?>>10</option>
      <option value="11" <?php
if ($hour == 11)
echo 'selected="selected"';
?>>11</option>
    </select>:
<select name="minute">
      <option value="00" <?php
if ($minute == "00")
echo 'selected="selected"';
?>>00</option>
      <option value="15" <?php
if ($minute == 15)
echo 'selected="selected"';
?>>15</option>
      <option value="30" <?php
if ($minute == 30)
echo 'selected="selected"';
?>>30</option>
      <option value="45" <?php
if ($minute == 45)
echo 'selected="selected"';
?> >45</option></select>
<select name="ampm">
      <option value="pm" <?php
if ($ampm == "pm")
echo 'selected="selected"';
?>>pm</option>
      <option value="am" <?php
if ($ampm == "am")
echo 'selected="selected"';
?>>am</option></select>
<div <?php if (!$show_fields) print " style=\"display:none;\""; ?>><br />Field: <input name="field" type="text" value="<?print $field;?>" size="70" /></div>
<br /><br />
Home: <select name="winner">
<?php
    // Show all teams if user has full or conference access
    if ($is_admin || $is_manage_score || $is_manage_score_conf) {
    	$query2="SELECT sportsdb_teams.teamid, sportsdb_teams.teamname, sportsdb_divs.divname FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.active = 1 AND sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid ORDER BY divorder ASC, teamname ASC";
    	$result2=mysql_query($query2);

    	while ($teams = mysql_fetch_array($result2, MYSQL_ASSOC)) {
    		print "<option value=\"{$teams['teamid']}\"";
    				
    		if ($teams['teamid'] == $score['winner']) {
    			print " selected=\"selected\"";
    		}
    		print ">{$teams['teamname']} ({$teams['divname']})</option>\n";
    	}
    }
    // Otherwise, don't allow the user to change teams
    else {
        $query2="SELECT sportsdb_teams.teamname, sportsdb_divs.divname FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_teams.teamid = {$score['winner']} ORDER BY divorder ASC, teamname ASC";
        $result2=mysql_query($query2);
        while ($teams = mysql_fetch_array($result2, MYSQL_ASSOC)) {
            print "<option value=\"{$score['winner']}\"";
            print ">{$teams['teamname']} ({$teams['divname']})</option>\n";
        }
    }
?></select>
<select name="winortie">
<option value="3"
<?php
if ($score['winortie'] == 3) {
echo 'selected="selected"';
}
?>
>Play
</option>
<option value="1"
<?php
if ($score['winortie'] == 1) {
echo 'selected="selected"';
}
?>
>Beat
</option>
<?php if ($forfeit) {
print "<option value=\"2\" ";
if ($score['winortie'] == 2)
print "selected=\"selected\"";
print ">Beat (by forfeit)</option>\n";
}
?>
<?php if ($show_ties) {
print "<option value=\"0\" ";
if ($score['winortie'] == 0)
print "selected=\"selected\"";
print ">Tied</option>\n";
}
?>
<option value="4"
<?php
if ($score['winortie'] == 4) {
print "selected=\"selected\"";
}
?>
>Lost to
</option>
<?php if ($forfeit) {
print "<option value=\"5\" ";
if ($score['winortie'] == 5)
print "selected=\"selected\"";
print ">Lost to (by forfeit)</option>\n";
}
?>
</select> 
Away: <select name="loser">
<?php
    // Show all teams if user has full or conference access
    if ($is_admin || $is_manage_score || $is_manage_score_conf) {
        // Go back to the beginning of the loop
        mysql_data_seek($result2, 0);
    	while ($teams = mysql_fetch_array($result2, MYSQL_ASSOC)) {
    		echo "<option value=\"{$teams['teamid']}\"";
    		if ($teams['teamid'] == $score['loser']) {
    			print " selected=\"selected\"";
    		}
    		print ">{$teams['teamname']} ({$teams['divname']})</option>\n";
    	}
    }
    // Otherwise, don't allow the user to change teams
    else {
        $query3="SELECT sportsdb_teams.teamname, sportsdb_divs.divname FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_teams.teamid = {$score['loser']} ORDER BY divorder ASC, teamname ASC";
        $result3=mysql_query($query3);
        while ($teams = mysql_fetch_array($result3, MYSQL_ASSOC)) {
            print "<option value=\"{$score['loser']}\"";
            print ">{$teams['teamname']} ({$teams['divname']})</option>\n";
        }
    }
	print "</select><br />\n";
	print "Score: <input type=\"text\" name=\"rf\" size=\"2\" maxlength=\"2\" value=\"{$score['rf']}\" /> - \n";
	print "<input type=\"text\" name=\"ra\" size=\"2\" maxlength=\"2\" value=\"{$score['ra']}\" /><br />\n";
?>
Comment: <input name="wincomments" type="text" value="<?php print $wincomments;?>" size="70" />
<input type="hidden" name="winid" value="<?php print $winid;?>" />
<br /><br /><input type="submit" value="Edit" /></form>
<?php 
        print '<form method="get" action="' . $_SERVER['PHP_SELF'] . "\">\n";
        print "<input type=\"hidden\" name=\"action\" value=\"mainview\" />\n";
        print "<input type=\"hidden\" name=\"conf\" value=\"$confid\" />\n";
        print "<input type=\"submit\" value=\"Cancel\" /></form>\n";
    }
    
    else {
        die($text_no_perm);
    }
    break;

case 'updatescore':

    if (!isset($_POST['winid']) ) {
        die('Bad data, man');
    }

	$winid=intval($_POST['winid']);
    $query="SELECT sportsdb_wins.winner, sportsdb_wins.loser, sportsdb_divs.conference 
    FROM sportsdb_wins, sportsdb_teams, sportsdb_divs 
    WHERE sportsdb_wins.winid = $winid 
    AND sportsdb_wins.winner = sportsdb_teams.teamid 
    AND sportsdb_teams.teamdiv = sportsdb_divs.divid 
    LIMIT 1";
    $result = mysql_query($query);
    $confid = mysql_result($result,0,'conference');
    $winner_check = mysql_result($result,0,'winner');
    $loser_check = mysql_result($result,0,'loser');
    
    if (!$is_admin) {
        $is_manage_score = full_check('manage_score');
        $is_manage_score_conf = permissions_check('manage_score', $confid);
    }
    
    if ($is_admin || $is_manage_score || $is_manage_score_conf || permissions_check('manage_score', NULL, NULL, $winner_check) || permissions_check('manage_score', NULL, NULL, $loser_check) ) {    
    
    	$month=intval($_POST['month']);
    	$day=intval($_POST['day']);
    	$year=intval($_POST['year']);
    	$hour=intval($_POST['hour']);
    	$minute=$_POST['minute'];
    	$ampm=$_POST['ampm'];
    	$windate = mktime(0, 0, 0, $month, $day, $year);
    	if ($ampm == 'pm' && $hour != 12) {
            $hour = $hour + 12;
        }
        if ($ampm == 'am' && $hour == 12) {
            $hour = 0;
        }
    	$wintime = mktime($hour, $minute, 0, $month, $day, $year);
    	$wincomments = strip_tags($_POST['wincomments'], '<font>');
        $wincomments = mysql_real_escape_string($wincomments);
    	$field = strip_tags($_POST['field'], '<font>');
        $field = mysql_real_escape_string($field);
    	$winner = $_POST['winner'];
    	$loser = $_POST['loser'];
        
        // Check that they had the permissions to change a team
        if (!$is_admin && !$is_manage_score && !is_manage_score_conf) {
            if ($winner_check != $winner && $loser_check != $loser) {
            die('You do not have permissions to change the teams in the score.');
        }

}
    	$rf=abs(intval($_POST['rf']));
    	$ra=abs(intval($_POST['ra']));
    	if ($winner == $loser) die ("You cannot have a team play against itself.");
    	$winortie=intval($_POST['winortie']);

    	// ================== Undo win, loss, tie count, runs for, runs against ====================

    	// First, undo the previous win, loss, and tie count
    	$query = "SELECT winortie, winner, loser, rf, ra FROM sportsdb_wins WHERE winid=$winid LIMIT 1";
    	$result = mysql_query($query);
    	$old_winortie = mysql_result($result,0,'winortie');
    	$old_winner = mysql_result($result,0,'winner');
    	$old_loser = mysql_result($result,0,'loser');
    	$old_rf = mysql_result($result,0,'rf');
    	$old_ra = mysql_result($result,0,'ra');

    	// Undo the tie, and subtract runs for and runs against

    	if ($old_winortie == 0) {
    		$query="UPDATE sportsdb_teams SET teamties = teamties -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner OR teamid = $old_loser";
    	$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and loss, and subtract runs for and runs against
    	elseif ($old_winortie == 1) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamlosses = teamlosses -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and loss, and subtract runs for and runs against when the away team wins
    	elseif ($old_winortie == 4) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamlosses = teamlosses -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and forfeit loss, and subtract runs for and runs against when the home team wins
    	elseif ($old_winortie == 2) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and forfeit loss, and subtract runs for and runs against when the away team wins
    	elseif ($old_winortie == 5) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// =================== Update score ====================

    	$query="UPDATE sportsdb_wins SET windate = $windate, wintime = $wintime, winner = $winner, loser = $loser, winortie = $winortie, rf = $rf, ra = $ra, wincomments = '$wincomments', field = '$field' WHERE winid=$winid LIMIT 1";
    	$result=mysql_query($query);

    	// =================== Redo wins, losses, ties ====================

    	// Update the tie, and add runs for and runs against

    	if ($winortie == 0) {
    		$query="UPDATE sportsdb_teams SET teamties = teamties +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner OR teamid = $loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Update the win and loss, and add runs for and runs against
    	elseif ($winortie == 1) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamlosses = teamlosses +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Update the win and loss, and add runs for and runs against when the away team wins
    	elseif ($winortie == 4) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamlosses = teamlosses +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Update the win and forfeit loss, and add runs for and runs against when the home team wins
    	elseif ($winortie == 2) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Update the win and forfeit loss, and add runs for and runs against when the away team wins
    	elseif ($winortie == 5) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins +1, teamrf = teamrf +$ra, teamra = teamra +$rf WHERE teamid = $loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits +1, teamrf = teamrf +$rf, teamra = teamra +$ra WHERE teamid = $winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}
        
        $stringtime = date('M j Y, g:ia', $wintime);
    	print 'Succesfully updated the score from ' . $stringtime . '<br /><br /><a href="' . $_SERVER['PHP_SELF'] . "?action=mainview&conf=$confid\">Back</a>";
        }
    
    else {
        die($text_no_perm);
    }
	break;

case 'deletescore':
    $confid = intval($_GET['conf']);
    if ($is_admin || full_check('manage_score') || permissions_check('manage_score', $confid) ) {
    	$winid=$_POST['winid'];
    	$query="SELECT sportsdb_wins.windate, sportsdb_wins.wincomments, sportsdb_wins.winortie, sportsdb_wins.rf, sportsdb_wins.ra, sportsdb_teams.teamname AS winningteam, sportsdb_teams2.teamname AS losingteam FROM sportsdb_wins, sportsdb_teams, sportsdb_teams AS sportsdb_teams2 WHERE sportsdb_wins.winid=$winid AND sportsdb_teams.teamid = sportsdb_wins.winner AND sportsdb_teams2.teamid = sportsdb_wins.loser";
    	$result=mysql_query($query);
    	$score = mysql_fetch_array($result);

    	echo "Are you sure you want to delete the following score?<br /><br /><strong>{$score['winningteam']}</strong> ";
    	if ($score['winortie'] == 3) {
    		print "play";
    	}
    	elseif ($score['winortie'] == 1) {
    		print "defeated";
    	}
    	elseif ($score['winortie'] == 0) {
    		print "tied";
    	}
    	elseif ($score['winortie'] == 4) {
    		print "lost to";
    	}
    	elseif ($score['winortie'] == 2) {
    		print "defeated (by forfeit)";
    	}
    	elseif ($score['winortie'] == 5) {
    		print "lost to (by forfeit)";
    	}
    	print " <strong>{$score['losingteam']}</strong> <em>{$score['rf']} - {$score['ra']} &nbsp;&nbsp;&nbsp;{$score['wincomments']}</em><br /><br /><form action=\"" . $_SERVER['PHP_SELF'] . "?action=deleteyes&conf=$confid\" method=\"post\">\n";
    	print "<input type=\"submit\" value=\"Yes, Delete\" />\n";
    	print "<input type=\"hidden\" name=\"winid\" value=\"$winid\" /></form>\n";
    	print '<form action="' . $_SERVER['PHP_SELF'] . "\">\n";
    	print "<input type=\"hidden\" name=\"action\" value=\"mainview\" />\n";
    	print "<input type=\"hidden\" name=\"conf\" value=\"$confid\" />\n";
    	print "<input type=\"submit\" value=\"Cancel\" /></form>\n";
    }
    
    else {
        die($text_no_perm);
    }
	break;

case 'deleteyes':
    $confid = intval($_GET['conf']);
    if ($is_admin || full_check('manage_score') || permissions_check('manage_score', $confid) ) {
    	$winid=intval($_POST['winid']);
        
    	// ================== Undo win, loss, tie count ====================
        
    	// First, undo the previous win, loss, and tie count
    	$query = "SELECT winortie, winner, loser, rf, ra FROM sportsdb_wins WHERE winid=$winid LIMIT 1";
    	$result = mysql_query($query) or die ("Error in query $query");
    	$old_winortie = mysql_result($result,0,'winortie');
    	$old_winner = mysql_result($result,0,'winner');
    	$old_loser = mysql_result($result,0,'loser');
    	$old_rf = mysql_result($result,0,'rf');
    	$old_ra = mysql_result($result,0,'ra');

    	// Undo the tie

    	if ($old_winortie == 0) {
    		$query="UPDATE sportsdb_teams SET teamties = teamties -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner OR teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and loss
    	elseif ($old_winortie == 1) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamlosses = teamlosses -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and loss when the away team was the winner
    	elseif ($old_winortie == 4) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamlosses = teamlosses -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and forfeit loss when the home team won
    	elseif ($old_winortie == 2) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// Undo the win and forfeit loss when the away team won
    	elseif ($old_winortie == 5) {
    		$query="UPDATE sportsdb_teams SET teamwins = teamwins -1, teamrf = teamrf -$old_ra, teamra = teamra -$old_rf WHERE teamid = $old_loser";
    		$result=mysql_query($query) or die ("Error in query $query");
    		$query="UPDATE sportsdb_teams SET teamforfeits = teamforfeits -1, teamrf = teamrf -$old_rf, teamra = teamra -$old_ra WHERE teamid = $old_winner";
    		$result=mysql_query($query) or die ("Error in query $query");
    	}

    	// ================== Delete the score ====================

    	$query="DELETE FROM sportsdb_wins WHERE winid=$winid LIMIT 1";
    	$result=mysql_query($query);
    	print 'You have successfully deleted the score.<br /><br /><a href="' . $_SERVER['PHP_SELF'] . "?action=mainview&conf=$confid\">Back</a>";
    }
    
    else {
        die($text_no_perm);
    }
	break;

case 'conferences':
    if ($is_admin || full_check('manage_conf') ) {

        print '<h2>Manage conferences</h2>' . "\n";
    	print "<form name=\"conferences\" method=\"post\" action=\"?action=editconferences\">\n";
    	print "<p>Note: you can only delete a conference if it has no divisions</p>\n";
    	$query="SELECT * FROM sportsdb_conferences ORDER BY conforder";
    	$result=mysql_query($query) or die ("Error in query $query");
    	$num=mysql_num_rows($result);
    	while ($confs = mysql_fetch_array($result, MYSQL_ASSOC)) {
    		$confname = str_replace('"','&quot;',$confs['confname']);
    		$confname = str_replace("'",'&#039;',$confname);
    		$resultdivs = mysql_query("SELECT COUNT(*) FROM sportsdb_divs WHERE conference = {$confs['confid']}");
    		$hasdivs = mysql_result($resultdivs,0);
    		if ($hasdivs == 0) {
    			print "<p><strong><a href=\"?action=deleteconference&confid={$confs['confid']}\"><span class=\"red\">X</span></a></strong>&nbsp;&nbsp;";
    		}
    		else {
    			print "<p>";
    		}
    	print "Conference name: <input type=\"text\" name=\"confname[$i]\" size=\"30\" maxlength=\"60\" value=\"$confname\" /><br />\n";
    	print "Conference order: <input type=\"text\" name=\"conforder[$i]\" size=\"2\" maxlength=\"2\" value=\"{$confs['conforder']}\" /></p>\n";
    	print "<input type=\"hidden\" name=\"confid[$i]\" value=\"{$confs['confid']}\" />\n";
    	}
    	
    	print "<h3>Add a new conference</h3>\n";
    	print "Conference name: <input type=\"text\" name=\"confname[$i]\" size=\"30\" maxlength=\"60\" /><br />\n";
    	print "Conference order: <input type=\"text\" name=\"conforder[$i]\" size=\"2\" maxlength=\"2\" /><br />\n";
    	print "<input name=\"submit\" type=\"submit\" value=\"Update\" /></form>\n";
    	print '<form action="' . $_SERVER['PHP_SELF'] . "\"><input type=\"submit\" value=\"Cancel\" /></form>\n";
    }
    
    else {
        die ($text_no_perm);
    }

break;

case 'editconferences':
    if ($is_admin || full_check('manage_conf') ) {
    
    	$numconfs = count($_POST['confid']);

    	for ($i=0;$i<$numconfs;++$i) {
    	$confname = htmlspecialchars($_POST['confname'][$i], ENT_QUOTES);
    	$confid = intval($_POST['confid'][$i]);
    	$conforder = intval($_POST['conforder'][$i]);
    	$query = "UPDATE sportsdb_conferences SET confname = '$confname', conforder = $conforder WHERE confid = $confid LIMIT 1";
    	mysql_query($query) or die ("Error in query $query");
    	print "<p>Conferences updated.</p>";
    	}

    	// Add a new conference if there has been a name entered

    	$confname = htmlspecialchars($_POST['confname'][$i], ENT_QUOTES);
    	if ($confname <> "") {
    	$conforder = intval($_POST['conforder'][$i]);
    	$query = "INSERT INTO sportsdb_conferences (confname,conforder) VALUES ('$confname','$conforder')";
    	mysql_query($query) or die ("Error in query $query");
    	print "<p>Conference added as well!</p>";
    	}

    	print '<p><a href="' . $_SERVER['PHP_SELF'] . "\">Back</a></p>";
    }
    
    else {
        die ($text_no_perm);
    }

break;

case 'deleteconference':
    if ($is_admin || full_check('manage_conf') ) {
    
        $confid = intval($_GET['confid']);
        $resultdivs=mysql_query("SELECT COUNT(*) FROM sportsdb_divs WHERE conference = $confid");
        $hasdivs=mysql_result($resultdivs,0);
        if ($hasdivs == 0) {
            $query = "DELETE FROM sportsdb_conferences WHERE confid = $confid LIMIT 1";
            mysql_query($query) or die("Error in query $query");
            
            // Also delete all limitations that have this conference
            delete_associated_limitations('conf', $confid);
            
            print "<p>Conference deleted</p>\n";
            print '<p><a href="' . $_SERVER['PHP_SELF'] . "\">Back</a></p>\n";
        }
        
        else {
            print "<p>You cannot delete a conference that still has divisions</p>\n";
        }
    }
    else {
        die ($text_no_perm);
    }

break;

case 'divisions':
	$confid = intval($_GET['conf']);
    if ($is_admin || full_check('manage_div') || permissions_check('manage_div',$confid)) {
        print '<h2>Manage divisions</h2>' . "\n";
        print "<form name=\"divisions\" method=\"post\" action=\"?action=editdivisions\">\n";
        print "<p>Note: you can only delete a division if it has no teams</p>\n";
        $query="SELECT * FROM sportsdb_divs WHERE conference = $confid ORDER BY divorder";
        $result=mysql_query($query) or die ("Error in query $query");
        $num=mysql_num_rows($result);
        while ($divs = mysql_fetch_array($result, MYSQL_ASSOC)) {
            $divname = str_replace('"','&quot;',$divs['divname']);
            $divname = str_replace("'",'&#039;',$divname);
            $resultteams = mysql_query("SELECT COUNT(*) FROM sportsdb_teams WHERE teamdiv = {$divs['divid']}");
            $hasteams = mysql_result($resultteams,0);
            if ($hasteams == 0) {
                print "<p><strong><a href=\"?action=deletedivision&divid={$divs['divid']}&conf=$confid\"><span class=\"red\">X</span></a></strong>&nbsp;&nbsp;";
            }
            else {
                print "<p>";
            }
            print "Division name: <input type=\"text\" name=\"divname[$i]\" size=\"30\" maxlength=\"60\" value=\"$divname\" /><br />\n";
            print "Division order: <input type=\"text\" name=\"divorder[$i]\" size=\"2\" maxlength=\"2\" value=\"{$divs['divorder']}\" /></p>\n";
            print "<input type=\"hidden\" name=\"divid[$i]\" value=\"{$divs['divid']}\" />\n";
        }
	
        print "<h3>Add a new division</h3>\n";
        print "Division name: <input type=\"text\" name=\"divname[$i]\" size=\"30\" maxlength=\"60\" /><br />\n";
        print "Division order: <input type=\"text\" name=\"divorder[$i]\" size=\"2\" maxlength=\"2\" /><br />\n";
        print "<input name=\"conf\" type=\"hidden\" value=\"$confid\" />\n";
        print "<input name=\"submit\" type=\"submit\" value=\"Update\" /></form>\n";
    	print '<form action="' . $_SERVER['PHP_SELF'] . "\">\n";
    	print "<input name=\"action\" type=\"hidden\" value=\"mainview\" />\n";
    	print "<input name=\"conf\" type=\"hidden\" value=\"$confid\" />\n";
    	print "<input type=\"submit\" value=\"Cancel\" /></form>\n";
    }
    else {
        die ($text_no_perm);
    }

break;

case 'editdivisions':

    $confid = intval($_POST['conf']);
    
    if ($is_admin || full_check('manage_div') || permissions_check ('manage_div',$confid)) {
    
        $numdivs = count($_POST['divid']);

    	for ($i=0;$i<$numdivs;++$i) {
        	$divname = htmlspecialchars($_POST['divname'][$i], ENT_QUOTES);
        	$divid = intval($_POST['divid'][$i]);
        	$divorder = intval($_POST['divorder'][$i]);
                
            // Double-check that they didn't falsify the posted conference ID
            $query = 'SELECT conference FROM sportsdb_divs WHERE divid = ' . $divid;
            $result = mysql_query($query);
            $confid_check = mysql_result($result,0);
            if ($confid_check != $confid) {
                die ($text_no_perm);
            }
            
            // Update!
        	$query = "UPDATE sportsdb_divs SET divname = '$divname', divorder = $divorder WHERE divid = $divid LIMIT 1";
        	mysql_query($query) or die ("Error in query $query");
        	print "<p>Divisions updated.</p>";
    	}

    	// Add a new division if there has been a name entered

    	$divname = htmlspecialchars($_POST['divname'][$i], ENT_QUOTES);
    	if ($divname <> "") {
            $divorder = intval($_POST['divorder'][$i]);
            $query = "INSERT INTO sportsdb_divs (divname,divorder,conference) VALUES ('$divname','$divorder','$confid')";
            mysql_query($query) or die ("Error in query $query");
            print "<p>Division added as well!</p>";
    	}

    	print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=mainview&conf=$confid\">Back</a></p>";
    }
    
    else {
        die ($text_no_perm);
    }

break;

case 'deletedivision':

	$divid = intval($_GET['divid']);
	$confid = intval($_GET['conf']);
    
    if ($is_admin || full_check('manage_div') || permissions_check ('manage_div',$confid)) {
    	$resultteams=mysql_query("SELECT COUNT(*) FROM sportsdb_teams WHERE teamdiv = $divid");
    	$hasteams=mysql_result($resultteams,0);
    	if ($hasteams == 0) {
        
            // Double-check that they didn't falsify the posted conference ID
            $query = 'SELECT conference FROM sportsdb_divs WHERE divid = ' . $divid;
            $result = mysql_query($query);
            $confid_check = mysql_result($result,0);
            if ($confid_check != $confid) {
                die ($text_no_perm);
            }
            
            // Delete!
    		$query = "DELETE FROM sportsdb_divs WHERE divid = $divid LIMIT 1";
    		mysql_query($query) or die("Error in query $query");
            
            // Also delete all limitations that have this division
            delete_associated_limitations('div', $divid);

    		print "<p>Division deleted</p>\n";
    		print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=mainview&conf=$confid\">Back</a></p>\n";
    	}
    	else {
    		print "<p>You cannot delete a division that still has teams</p>\n";
    	}
    }
    
    else {
        die ($text_no_perm);
    }

break;

case 'mainview':

	$confid = intval($_GET['conf']);
	$confname = getconf($confid);
    
	print '<p><a href="' . $_SERVER['PHP_SELF'] . "\">Back to the list of conferences</a></p>\n";
    
    // Let them manage divisions
    if ($is_admin || full_check('manage_div') || permissions_check('manage_div',$confid) ) {
        print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=divisions&conf=$confid\">Manage divisions</a></p>\n";
    }
	print "<h2>Teams in $confname</h2>\n";
	
	$query="SELECT COUNT(*) FROM sportsdb_divs WHERE conference = $confid";
	$result = mysql_query($query);
	$num = mysql_result($result,0);
	
	// Let the user add a team only if there are already divisions
	if ($num > 0) {
    
        if (!$is_admin) {
            $is_manage_team = full_check('manage_team');
            $is_manage_team_conf = permissions_check('manage_team',$confid);
        }
        
		if ($is_admin || $is_manage_team || $is_manage_team_conf ) {
            print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=add&conf=$confid\">Add a new team in this conference</a></p>\n";
        }
	}
	else {
		print '<p>You can only add a team after adding a <a href="' . $_SERVER['PHP_SELF'] . "?action=divisions&conf=$confid\">division has been added</a>.</p>\n";
	}
	print "<table>\n";
	
	// Get the teams from the database
	$query="SELECT sportsdb_teams.teamid, sportsdb_teams.teamname, sportsdb_teams.active, sportsdb_divs.divname, sportsdb_divs.divid FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid ORDER BY divorder ASC, teamname ASC";
	$result = mysql_query($query);

	$num=mysql_num_rows($result);
	
	while ($teams = mysql_fetch_array($result, MYSQL_ASSOC)) {
            print "<tr><td><strong>{$teams['teamname']}</strong> <small>({$teams['divname']})</small>";
            print '</td><td>';
            if ($is_admin || $is_manage_team || $is_manage_team_conf || permissions_check('manage_team',NULL,$teams['divid'],$teams['teamid']) ) {
                print '<form action="' . $_SERVER['PHP_SELF'] . "?action=edit&teamid={$teams['teamid']}&conf={$confid}&div={$teams['divid']}\" method=\"post\">\n";
                print '<input type="submit" value="Edit" /></form>';
            }
            print "</td>\n<td>";
            if ($teams['active'] == 0) {
                echo "<span class='red'>Inactive</span>";
            }
            echo "</td></tr>\n";
	}
	echo "</table>\n";
	?>
<?php
if ($num > 0) {
    print "<h2>Past Scores in $confname</h2>\n";
    
    if (!$is_admin) {
        $is_manage_score = full_check('manage_score');
        $is_manage_score_conf = permissions_check('manage_score', $confid);
    }
    
    if ($is_admin || $is_manage_score || $is_manage_score_conf) {
        print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=addscore&conf=$confid\">Add a new score or game</a></p>\n";
    }
    
    print "<table width=\"750\">\n";
    print "<tr><th>Date</th><th>Time</th><th>Home</th><th>Away</th>";
    if ($show_fields) print "<th>Field</th>";
    print "<th>Score</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th></tr>\n";

    $queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, sportsdb_wins.rf, sportsdb_wins.ra, 
    sportsdb_wins.winner, sportsdb_wins.loser, 
    sportsdb_wins.wincomments, sportsdb_wins.field, sportsdb_wins.winortie, 
    sportsdb_teams2.teamname AS winningteam, sportsdb_teams.teamname AS losingteam
    FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams, sportsdb_divs
    WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid AND sportsdb_teams2.teamid = sportsdb_wins.winner AND sportsdb_teams.teamid = sportsdb_wins.loser AND sportsdb_wins.winortie != 3
    ORDER BY wintime ASC";

    $resultscores=mysql_query($queryscores);
    $numscores=mysql_num_rows($resultscores);
    
    // Set up the array to check team permissions now
    $is_manage_score_teams = array();
    
    while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

    	$windateheader=$scores['windate'];
    	$windateformatted=date("F d, Y",$windateheader);
    	$wintime=$scores['wintime'];
    	$hour=date('g',$wintime);
    	$minute=date('i',$wintime);
    	$ampm=date('a',$wintime);

        print "<tr><td>$windateformatted</td><td>" . $hour . ":" . $minute . $ampm . "</td><td>{$scores['winningteam']}</td><td>{$scores['losingteam']}</td>";
        if ($show_fields) print "<td>{$scores['field']}</td>";
        print "<td>{$scores['rf']} - {$scores['ra']}";
        if ($scores['winortie'] == 2 || $scores['winortie'] == 5) print " (ff)";
        print '</td><td>' . $scores['wincomments'] . '</td>';
        print '<td>';
        // Perform some team permission checks now to save checking the same permissions over and over again
        if (!isset($is_manage_score_teams[$scores['winner']]) && !$is_admin) {
            $is_manage_score_teams[$scores['winner']] = permissions_check('manage_score', NULL, NULL, $scores['winner']);
        }
        if (!isset($is_manage_score_teams[$scores['loser']]) && !$is_admin) {
            $is_manage_score_teams[$scores['loser']] = permissions_check('manage_score', NULL, NULL, $scores['loser']);
        }
        if ($is_admin || $is_manage_score || $is_manage_score_conf || $is_manage_score_teams[$scores['winner']] || $is_manage_score_teams[$scores['loser']] ) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=editscore\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Edit\" /></form>";
        }
        print "</td>\n";
        print '<td>';
        if ($is_admin || $is_manage_score || $is_manage_score_conf ) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=deletescore&conf=$confid\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Delete\" /></form>";
        }
        print '</td>';
        print "</tr>\n";

    }

    echo "</table>\n";

    print "<h2>Upcoming Games in $confname</h2>\n";
    print "<table width=\"700\">\n";
    print "<tr><th>Date</th><th>Time</th><th>Home</th><th>Away</th>";
    if ($show_fields) print "<th>Field</th>";
    print "<th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th></tr>\n";
    $queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, sportsdb_wins.winner, sportsdb_wins.loser, 
    sportsdb_wins.wincomments, sportsdb_wins.field, sportsdb_teams2.teamname AS winningteam, sportsdb_teams.teamname AS losingteam
    FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams, sportsdb_divs
    WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid AND sportsdb_teams2.teamid = sportsdb_wins.winner AND sportsdb_teams.teamid = sportsdb_wins.loser AND sportsdb_wins.winortie = 3
    ORDER BY wintime ASC";
    $resultscores=mysql_query($queryscores);
    $numscores=mysql_num_rows($resultscores);

    while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

        $windateheader=$scores['windate'];
        $windateformatted=date("F d, Y",$windateheader);
        $wintime=$scores['wintime'];
        $hour=date('g',$wintime);
        $minute=date('i',$wintime);
        $ampm=date('a',$wintime);

        print "<tr><td>$windateformatted</td><td>" . $hour . ":" . $minute . $ampm . "</td><td>{$scores['winningteam']}</td><td>{$scores['losingteam']}</td>";
        if ($show_fields) print "<td>{$scores['field']}</td>";
        print '<td>' . $scores['wincomments'] . '</td>';
        print '<td>';
        // Perform some team permission checks now to save checking the same permissions over and over again
        if (!isset($is_manage_score_teams[$scores['winner']]) && !$is_admin) {
            $is_manage_score_teams[$scores['winner']] = permissions_check('manage_score', NULL, NULL, $scores['winner']);
        }
        if (!isset($is_manage_score_teams[$scores['loser']]) && !$is_admin) {
            $is_manage_score_teams[$scores['loser']] = permissions_check('manage_score', NULL, NULL, $scores['loser']);
        }
        if ($is_admin || $is_manage_score || $is_manage_score_conf || $is_manage_score_teams[$scores['winner']] || $is_manage_score_teams[$scores['loser']] ) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=editscore\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Edit\" /></form>";
        }
        print "</td>\n";
        print '<td>';
        if ($is_admin || $is_manage_score || $is_manage_score_conf) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=deletescore&conf=$confid\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Delete\" /></form>";
        }
        print '</td>';
        print "</tr>\n";

        ++$scores;
    }
    print "</table>\n";
}


break;

case 'updateeverysingleteam':
    if ($is_admin) {

        // Grab all the teams
        $query = "SELECT teamid from sportsdb_teams";
        $result = mysql_query($query);

        // Loop
        while ($teamrow = mysql_fetch_array($result)) {

            $team = $teamrow[0];

            // Update wins
            $teamwinsq = mysql_query("SELECT COUNT(*) FROM sportsdb_wins WHERE (winner = $team AND (winortie = 2 OR winortie = 1)) OR (loser = $team AND (winortie = 4 OR winortie = 5))");
            $teamwins = mysql_result($teamwinsq,0);
            mysql_query("UPDATE sportsdb_teams SET teamwins = $teamwins WHERE teamid = $team") or die ("Error in wins query");

            // Update losses
            $teamlossesq = mysql_query("SELECT COUNT(*) FROM sportsdb_wins WHERE (loser = $team AND winortie = 1) OR (winner = $team AND winortie = 4)");
            $teamlosses = mysql_result($teamlossesq,0);
            mysql_query("UPDATE sportsdb_teams SET teamlosses = $teamlosses WHERE teamid = $team") or die ("Error in losses query");

            // Update ties
            $teamtiesq = mysql_query("SELECT COUNT(*) FROM sportsdb_wins WHERE winortie = 0 AND (winner = $team OR loser = $team)");
            $teamties = mysql_result($teamtiesq,0);
            mysql_query("UPDATE sportsdb_teams SET teamties = $teamties WHERE teamid = $team") or die ("Error in ties query");

            // Update forfeits
            $teamforfeitsq = mysql_query("SELECT COUNT(*) FROM sportsdb_wins WHERE (loser = $team AND winortie = 2) OR (winner = $team AND winortie = 5)");
            $teamforfeits = mysql_result($teamforfeitsq,0);
            mysql_query("UPDATE sportsdb_teams SET teamforfeits = $teamforfeits WHERE teamid = $team") or die ("Error in forfeits query");

            // Update runs for
            $teamrfq = mysql_query("SELECT SUM(if (winner = $team, rf, 0) + if (loser = $team, ra, 0)) AS runs_for FROM sportsdb_wins");
            $teamrf = mysql_result($teamrfq,0);
            mysql_query("UPDATE sportsdb_teams SET teamrf = $teamrf WHERE teamid = $team") or die ("Error in runs for query");

            // Update runs against
            $teamraq = mysql_query("SELECT SUM(if (loser = $team, rf, 0) + if (winner = $team, ra, 0)) AS runs_against FROM sportsdb_wins");
            $teamra = mysql_result($teamraq,0);
            mysql_query("UPDATE sportsdb_teams SET teamra = $teamra WHERE teamid = $team") or die ("Error in runs against query");

            } 

        print "<p>All team data updated</p>\n";
        print '<p><a href="' . $_SERVER['PHP_SELF'] . "\">Back</a></p>\n";
    }
    
    else {
        // You don't have permissions -- go away!
        die ($text_no_perm);
    }

    break;

case 'users':
    if ($is_admin) {
        print '<h2>Manage users and permissions</h2>' . "\n";
        
        // Print a users table
?>
<p><a href="?action=usersadd">Add a new user</a></p>
<table class="alltables userstable">
    <tr>
        <th>Username</th>
        <th>First name</th>
        <th>Last name</th>
        <th>E-mail address</th>
        <th>Admin</th>
        <th>Comments</th>
        <th></th>
    </tr>
<?php        
        $query = 'SELECT sportsdb_users.userid, firstname, lastname, emailaddy, username, comments, active, is_admin 
        FROM sportsdb_users 
        ORDER BY lastname, firstname, username';
        $result = mysql_query($query);
        
        while ($standings_users = mysql_fetch_array($result, MYSQL_ASSOC) ) {
            print "\t" . '<tr';
            if (!$standings_users['active']) {
                print ' class="gray"';
            }
            print '>' . "\n\t\t";
            print '<td>' . $standings_users['username'] . '</td>' . "\n\t\t";
            print '<td>' . $standings_users['firstname'] . '</td>' . "\n\t\t";
            print '<td>' . $standings_users['lastname'] . '</td>' . "\n\t\t";
            print '<td>' . $standings_users['emailaddy'] . '</td>' . "\n\t\t";
            print '<td>';
            if ($standings_users['is_admin']) {
                print 'X';
            }
            print '</td>' . "\n\t\t";        
            print '<td>' . $standings_users['comments'] . '</td>' . "\n\t\t";
            print '<td>';
            print '<a href="' . $_SERVER['PHP_SELF'] . '?action=usersedit&userid=' . $standings_users['userid'] . '">Edit</a>';
            print '</td>' . "\n\t";
            print '</tr>' . "\n";
        }
        
        print '</table>' . "\n";
        print '<p>* Inactive users are listed in <span class="gray">gray</span>.</p>' . "\n";
        print '<p><a href="' . $_SERVER['PHP_SELF'] . '">Back to manage standings</a></p>' . "\n";
    }
    else {
        die ($text_no_perm);
    }
    break;

case 'usersedit':
    $userid = intval($_GET['userid']);
    $ss_thisuser = $_SESSION['userid'];
    
    if ($ss_thisuser == $userid) {
        $is_own_user = true;
    }
    
    if ($is_admin || $is_own_user) {
        
        
        $query = 'SELECT firstname, lastname, emailaddy, username';
        if ($is_admin) {
            $query .= ', comments, active, is_admin';
        }
        $query .= ' FROM sportsdb_users 
        WHERE userid = ' . $userid . '
        LIMIT 1';
        $result = mysql_query($query);
        if (mysql_num_rows($result) == 0) {
            die ('There is no such user');
        }
        
        $standings_user = mysql_fetch_array($result, MYSQL_ASSOC);
        if ($standings_user['is_admin']) {
            $user_is_admin = true;
        }
        print '<h2>Manage user account: ' . $standings_user['firstname'] . ' ' . $standings_user['lastname'] . ' (' . $standings_user['username'] . ')</h2>' . "\n";
        if ($is_admin && !$standings_user['active']) {
            print '<p class="red">This user account is inactive and thus the user cannot log in.</p>' . "\n";
        }
        // Print a users table
?>
<form name="usersedit" action="<?php print $_SERVER['PHP_SELF']; ?>?action=usersedityes" method="post">
<input type="hidden" name="userid" value="<?php print $userid; ?>" />
<table width="700">
    <tr valign="top">
        <td width="500">
            <?php if ($is_admin) { ?><p><strong>Username</strong>: <input type="text" name="username" value="<?php print $standings_user['username']; ?>"size="15" maxlength="15" /></p><?php } ?>
            <p><strong>First name</strong>: <input type="text" name="firstname" value="<?php print $standings_user['firstname']; ?>" size="20" maxlength="20" /></p>
            <p><strong>Last name</strong>: <input type="text" name="lastname" value="<?php print $standings_user['lastname']; ?>" size="20" maxlength="20"></p>
            <p><strong>E-mail address</strong>: <input type="text" name="emailaddy" value="<?php print $standings_user['emailaddy']; ?>" size="40" maxlength="60" /></p>
            <?php if ($is_admin) { ?><p><strong>Admin</strong>: 
                <select name="is_admin">
                    <option value="0">No</option>
                    <option value="1"<?php if ($standings_user['is_admin']) print ' selected'; ?>>Yes</option>
                </select>
            </p>
            <p><strong>Comments</strong>: <input type="text" name="comments" value="<?php print $standings_user['comments']; ?>" size="40" maxlength="150" /></p><?php } ?>
        </td>
        <td width="200">
            <?php if ($is_admin) { ?><p><strong>Account status</strong>:<br />
                <select name="active">
                    <option value="1">Active</option>
                    <option value="0"<?php if (!$standings_user['active']) print ' selected'; ?>>Inactive</option>
                </select><?php } ?>
            <p><strong>Change password</strong>:<br /><input type="password" name="password1" size="15" maxlength="15" /></p>
            <p><strong>Re-type password</strong>:<br /><input type="password" name="password2" size="15" maxlength="15" /></p>
        </td>
    </tr>
</table>
<p>
<?php if ($is_own_user) { ?>
<input type="hidden" name="username" value="<?php print $standings_user['username']; ?>" />
<?php } ?>
<input type="submit" name="usersedit" value="Edit" /></p>
</form>
<?php if ($is_admin) { ?><p><a href="<?php print $_SERVER['PHP_SELF']; ?>?action=usersdelete&userid=<?php print $userid;?>">Delete user</a></p>
<p><a href="<?php print $_SERVER['PHP_SELF']; ?>?action=users">Back to users list</a></p><?php } ?>
<p><a href="<?php print $_SERVER['PHP_SELF']; ?>">Back to the list of conferences</a></p>
<?php if ($is_admin) { ?>
<hr />
<a name="permissions"></a>
<h2>Permissions for user: <?php print $standings_user['firstname'] . ' ' . $standings_user['lastname'] . ' (' . $standings_user['username']; ?>)</h2>
<?php
        if ($user_is_admin) {
            print '<p>This is an administrator user with full permissions.</p>';
        }
        else {
            // Perform limitation adding
            if ($_POST['addlimitation']) {
                $limitation_type = intval($_POST['limitation_type']);
                $policy_id = intval($_POST['policy_id']);
                $limitation_value = array(intval($_POST['conference']), intval($_POST['division']), intval($_POST['team']));
                $limitation_add = limitation_add($policy_id, $limitation_type, $limitation_value);
                print '<div class="lim_action">' . $limitation_add . '</div>' . "\n";
            }
            
            if ($_POST['deletelim']) {
                $lim_id = intval($_POST['lim_id']);
                $limitation_delete = limitation_delete($lim_id);
                print '<div class="lim_action">' . $limitation_delete . '</div>' . "\n";
            }
            
            if ($_POST['permdelete']) {
                $perm_level = substr($_POST['perm_level'], 0, 12);
                $perm_delete = permission_delete($perm_level);
                print '<div class="lim_action">' . $perm_delete . '</div>' . "\n";
            
            }
            
            if ($_POST['permadd']) {
                $perm_level = substr($_POST['perm_level'], 0, 12);
                $perm_add = permission_add($perm_level);
                print '<div class="lim_action">' . $perm_add . '</div>' . "\n";
            }
            
        
        
            // Show conference permissions
            print '<h3>Manage conferences</h3>' . "\n";
            $lims_conf = get_permissions($userid, 'manage_conf');
            permissions_table($lims_conf, 'manage_conf');
            unset($lim_confs);
            
            // Show division permissions
            print '<h3>Manage divisions</h3>' . "\n";
            $lims_div = get_permissions($userid, 'manage_div');
            permissions_table($lims_div, 'manage_div');
            unset($lims_div);
            
            // Show team permissions
            print '<h3>Manage teams</h3>' . "\n";
            $lims_team = get_permissions($userid, 'manage_team');
            permissions_table($lims_team, 'manage_team');
            unset($lims_team);
            
            // Show score permissions
            print '<h3>Manage scores</h3>' . "\n";
            $lims_score = get_permissions($userid, 'manage_score');
            permissions_table($lims_score, 'manage_score');
            unset($lims_score);
        }
        
        print '<p><a href="' . $_SERVER['PHP_SELF'] . '?action=users">Back to users list</a></p>' . "\n";
        } // To close the "if" statement so that only administrators can edit permissions
    }
    else {
        die ($text_no_perm);
    }
    break;

case 'usersadd':
    if ($is_admin) {
        print '<h2>Add user account</h2>' . "\n";
        // Print a users table
?>
<form name="usersedit" action="<?php print $_SERVER['PHP_SELF']; ?>?action=usersedityes" method="post">
    <p><strong>Username</strong>: <input type="text" name="username" size="15" maxlength="15" /></p>
    <p><strong>Password</strong>: <input type="password" name="password1" size="15" maxlength="15" /></p>
    <p><strong>Re-type password</strong>: <input type="password" name="password2" size="15" maxlength="15" /></p>
    <p><strong>First name</strong>: <input type="text" name="firstname" size="20" maxlength="20" /></p>
    <p><strong>Last name</strong>: <input type="text" name="lastname" size="20" maxlength="20"></p>
    <p><strong>E-mail address</strong>: <input type="text" name="emailaddy" size="40" maxlength="60" /></p>
    <p><strong>Admin</strong>: 
        <select name="is_admin">
            <option value="0">No</option>
            <option value="1">Yes</option>
        </select>
    </p>
    <p><strong>Comments</strong>: <input type="text" name="comments" size="40" maxlength="150" /></p>
    <p><input type="submit" name="usersadd" value="Add" /></p>
</form>
<form method="GET" action="<?php print $_SERVER['PHP_SELF']; ?>">
    <input type="hidden" name="action" value="users" />
    <input type="submit" value="Cancel" />
</form>
<?php
    }
    else {
        die ($text_no_perm);
    }
    break;

case 'addlim':
    if ($is_admin) {
        $userid = intval($_GET['userid']);
        
        // Does such a user exist?
        $query = 'SELECT username FROM sportsdb_users WHERE userid = ' . $userid;
        $result = mysql_query($query);
        if (mysql_num_rows($result) == 0) {
            die ('There is no such user');
        }
        $username = mysql_result($result,0);

        $level = substr($_GET['level'], 0, 12);
        if (!in_array($level, array('manage_div', 'manage_team', 'manage_score')) ) {
            die ('You cannot add limitations for that level');
        }
        
        switch ($level) {
            case 'manage_div':
                $level_display = 'divisions';
                break;
            
            case 'manage_team':
                $level_display = 'teams';
                break;
                
            // Default is score
            default:
                $level_display = 'scores';
                break;
        }
        
        // Form for adding a new limitation
        print '<h2>Add a new limitation for ' . $username . ' to manage ' . $level_display . '</h2>' . "\n";
        
        // Does such a user even have the permissions that will be limited?
        $query = 'SELECT policy_id FROM sportsdb_permissions WHERE userid = ' . $userid . ' AND level = \'' . $level . '\'';
        $result = mysql_query($query);
        if (mysql_num_rows($result) == 0) {
            die ('You must first give the user permission to manage ' . $level_display . ' before they can be limited');
        }
        $policy_id = mysql_result($result,0);
        print '<script type="text/javascript" src="lim_javascript.js"></script>';
?>
<form action="<?php print $_SERVER['PHP_SELF']; ?>?action=usersedit&userid=<?php print $userid; ?>#permissions" method="post">
<p>Limitation type:
    <select name="limitation_type" id="limitation" onchange="hideAppropriate(); updateList('conf'); updateList('div');">
        <option value="1">Conference</option>
        <option value="2">Division</option>
        <?php if ($level != 'manage_div') { ?>
        <option value="3">Team</option>
        <?php } ?>
    </select>
</p>

<p>Conference:
    <select name="conference" id="conference" onchange="updateList('conf');">
<?php
    $query = 'SELECT confid, confname FROM sportsdb_conferences ORDER BY confname ASC';
    $result = mysql_query($query);
    while ($conferences = mysql_fetch_array($result, MYSQL_ASSOC) ) {
        print "\n\t\t" . '<option value="' . $conferences['confid'] . '">' . $conferences['confname'] . '</option>';
    }
?>
    </select>
</p>

<div id="div_area" style="display:none;">
<p>Division:

    <select name="division" id="division" onchange="updateList('div');">
    </select>
</p>
</div>

<div id="team_area" style="display:none;">
<p>Team:
    <select name="team" id="team">
    </select>
</p>
</div>
    <input type="hidden" name="policy_id" value="<?php print $policy_id; ?>" />
    <input type="submit" name="addlimitation" value="Add" />
</form>
<form action="<?php print $_SERVER['PHP_SELF']; ?>">
    <input type="hidden" name="action" value="usersedit" />
    <input type="hidden" name="userid" value="<?php print $userid; ?>" />
    <input type="Submit" value="Cancel" />
</form>
<?php
        // Print existing limitations for this level
        print '<h3>Existing limitations</h3>' . "\n";
        $lims_existing = get_permissions($userid, $level);
        permissions_table($lims_existing, $level, false);
    }
    
    else {
        die($text_no_perm);
    }
    break;

case 'usersedityes':

    $ss_thisuser = $_SESSION['userid'];
    $userid = intval($_POST['userid']);
    
    if ($ss_thisuser == $userid) {
        $is_own_user = true;
    }
    
    if ($is_admin || $is_own_user) {
        if ($_POST['usersedit']) {
        
            // Validate!
            $user_validate = user_validate($_POST['firstname'], $_POST['lastname'], $_POST['emailaddy'], $_POST['username']);
            if (!empty($_POST['password1']) ) {
                $password_validate = password_validate($_POST['password1'], $_POST['password2']);
            }
            
            // Edit the user
            if (!$user_validate && !$password_validate) {
                // The admin user can edit all fields
                if ($is_admin) {
                    $user_edit = user_edit(false, $_POST['userid'], $_POST['firstname'], $_POST['lastname'], $_POST['emailaddy'], $_POST['password1'], $_POST['username'], $_POST['comments'], $_POST['active'], $_POST['is_admin']);
                }
                
                // If you are editing your own profile you can only edit certain fields
                if ($is_own_user) {
                    $user_edit = user_edit(true, $_POST['userid'], $_POST['firstname'], $_POST['lastname'], $_POST['emailaddy'], $_POST['password1'], $_POST['username']);                
                }
                if (!$user_edit) {
                    print '<p>User edited!</p>' . "\n";
                    if ($is_admin) {
                        print '<p><a href="' . $_SERVER['PHP_SELF'] . '?action=users">Back to the users list</a></p>' . "\n";
                    }
                    else {
                        print '<p><a href="' . $_SERVER['PHP_SELF'] . '">Back to the main management page</a></p>' . "\n";                    
                    }
                }
                else {
                    print '<p>' . $user_edit . '</p>' . "\n";
                }
            }
            // If there were any errors, print them
            else {
                print '<div class="user_action">' . "\n";
                if (is_array($user_validate) ) {
                    foreach ($user_validate as $user_validate_error) {
                        print "\t" . '<p>' . $user_validate_error . '</p>' . "\n";
                    }
                }
                if (is_array($password_validate) ) {
                    foreach ($password_validate as $password_validate_error) {
                        print "\t" . '<p>' . $password_validate_error . '</p>' . "\n";
                    }
                }
                print '</div>' . "\n"; 
            }
        }

        elseif ($_POST['usersadd'] && $is_admin) {
            // Validate!
            $user_validate = user_validate($_POST['firstname'], $_POST['lastname'], $_POST['emailaddy'], $_POST['username']);
            $password_validate = password_validate($_POST['password1'], $_POST['password2']);
            
            // Add the user
            if (!$user_validate && !$password_validate) {
                $user_add = user_add($_POST['firstname'], $_POST['lastname'], $_POST['emailaddy'], $_POST['password1'], $_POST['username'], $_POST['comments'], $_POST['is_admin']);
                if (!$user_add) {
                    print '<p>User added!</p>' . "\n";
                    print '<p><a href="' . $_SERVER['PHP_SELF'] . '?action=users">Back to the users list</a></p>' . "\n";
                    $result = mysql_query('SELECT last_insert_id()');
                    $new_user_id = mysql_result($result,0);
                    print '<p><a href="' . $_SERVER['PHP_SELF'] . '?action=usersedit&userid=' . $new_user_id . '#permissions">Manage user permissions</a></p>' . "\n";                
                }
                else {
                    print '<p>' . $user_add . '</p>' . "\n";
                }
            }
            // If there were any errors, print them
            else {
                print '<div class="user_action">' . "\n";
                if (is_array($user_validate) ) {
                    foreach ($user_validate as $user_validate_error) {
                        print "\t" . '<p>' . $user_validate_error . '</p>' . "\n";
                    }
                }
                if (is_array($password_validate) ) {
                    foreach ($password_validate as $password_validate_error) {
                        print "\t" . '<p>' . $password_validate_error . '</p>' . "\n";
                    }
                }
                print '</div>' . "\n"; 
            }
        }
        else {
            print '<p>Why are you here</p>';
        }
    }
    else {
        die($text_no_perm);
    }
    break;

case 'usersdelete':
    if ($is_admin) {
    
        if (isset($_GET['userid']) ) {
            $userid = intval($_GET['userid']);
            $query = 'SELECT firstname, lastname, username, is_admin 
            FROM sportsdb_users 
            WHERE userid = ' . $userid . '
            ORDER BY lastname, firstname, username';
            $result = mysql_query($query);
            
            // Does this user exist?
            if (mysql_num_rows($result) == 0) {
                die ('There is no such user');
            }
            else {
                $standings_user = mysql_fetch_array($result, MYSQL_ASSOC);
            }
            
            // Is this the last admin user?
            if ($standings_user['is_admin'] && user_last_admin($userid) ) {
                die ('You cannot delete this user because there would be no more administrators remaining.');
            }
            
            // Delete for sure
            if ($_POST['usersdelete']) {
                $user_delete = user_delete($userid);
                if (!$user_delete) {
                    print '<p>User account for <strong>' . $standings_user['firstname'] . ' ' . $standings_user['lastname'] . ' (' . $standings_user['username'] . ')</strong> deleted.</p>' . "\n";
                    print '<p><a href="' . $_SERVER['PHP_SELF'] . '?action=users">Back to users list</a></p>';
                }
                else {
                    print '<p>' . $user_delete . '</p>' . "\n";
                }
            }
            
            else {
            // Display the warning about how you should deactivate a user instead
                print '<p>Are you sure you want to delete the user account for <strong>' . $standings_user['firstname'] . ' ' . $standings_user['lastname'] . ' (' . $standings_user['username'] . ')</strong> and all of the associated permissions?</p>' . "\n";
                print '<p>It is recommended that you deactivate the user account instead of deleting it.</p>' . "\n";
                print '<p>The delete operation cannot be undone.</p>' . "\n";
                print '<form method="get" action="' . $_SERVER['PHP_SELF'] . '">' . "\n\t";
                print '<input type="hidden" name="userid" value="' . $userid . '" />' . "\n\t";
                print '<input type="hidden" name="action" value="usersedit" />' . "\n\t";
                print '<input type="submit" value="No, do not delete this user!" />' . "\n";
                print '</form><br />' . "\n";
                print '<form method="post" action="' . $_SERVER['PHP_SELF'] . '?action=usersdelete&userid=' . $userid . '">' . "\n\t";
                print '<input type="submit" name="usersdelete" value="Yes, delete ' . $standings_user['username'] . '" />' . "\n";
                print '</form>' . "\n";
            }
        }
    }
    
    else {
        die($text_no_perm);
    }
    break;

    
case 'logout':
    $_SESSION = array();
    session_destroy();
    print '<p>You are now logged out.</p>' . "\n";
?>
<script type="text/javascript">
var logout_span = document.getElementById('logout');
logout_span.style.display = 'none';
</script>
<?php
    print '<p><a href="' . $_SERVER['PHP_SELF'] . '">Click here to log in again</a></p>' . "\n";
    break;
    
default:
    if ($is_admin) {
        print '<p><a href="' . $_SERVER['PHP_SELF'] . '?action=users">Manage users</a></p>' . "\n";
    }
    
    $ss_thisuser = $_SESSION['userid'];
    print '<p><a href="' . $_SERVER['PHP_SELF'] . '?action=usersedit&userid=' . $ss_thisuser . '">Edit my profile</a></p>' . "\n";
	print '<h2>Conferences</h2>' . "\n";
	print '<div class="instructions">' . "\n";
	print "<p>Click on the name of the conferences to edit and view the teams and divisions in that conference.</p>\n";
    if ($is_admin || full_check('manage_conf') ) {
        print '<p>Click <a href="' . $_SERVER['PHP_SELF'] . "?action=conferences\">here</a> to manage conferences.</p>\n";
    }
	print "</div>\n";
	$query = "SELECT * FROM sportsdb_conferences ORDER BY conforder";
	$result = mysql_query($query) or die("Error in query $query");
	$num = mysql_num_rows($result);

	while ($confs = mysql_fetch_array($result)) {
		print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=mainview&conf={$confs['confid']}\">{$confs['confname']}</a></p>\n";
	}
    
    if ($is_admin) {
        print "<hr />\n<p><a href=\"" . $_SERVER['PHP_SELF'] . "?action=updateeverysingleteam\">Update all team data (this takes a while -- do only if necessary)</a></p>\n";
    }
}
?>
</div>
</body>
</html>